Summary: Microcode for the Intel® PRO/Wireless 3945 Driver
Name: iwlwifi-3945-ucode
Version: 2.14.1.5
Release: 4.0.1%{?dist}
License: distributable
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: iwlwifi-ucode = %{evr}
Obsoletes: iwlwifi-ucode < %{evr}

%description
The file iwlwifi-3945.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 3945ABG
Network Connection Adapter driver for Linux (iwlwifi) to be able to
operate on your system.

On adapter initialization, and at varying times during the uptime of 
the adapter, the microcode is loaded into the RAM on the network 
adapter.  The microcode provides the low level MAC features including 
radio control and high precision timing events (backoff, transmit, 
etc.) while also providing varying levels of packet filtering which can 
be used to keep the host from having to handle packets that are not of 
interest given the current operating mode of the device.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.ucode  %{buildroot}/lib/firmware/
install -p LICENSE* %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Sat Jun 14 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1.5-4.0.1
- Fix not utf-8	specfile entries.

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1.5-4
- Update to 2.14.1.5.

* Thu Jun 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.4-3
- Update to 2.14.4.

* Mon May 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.3-1
- Update to 2.14.3.

* Tue Feb 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1-1
- Initial build.
